{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "PARAM_KEY"; }; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
            width = 20; 
        }, 
        {
            columnName = "PARAM_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "PARAM_KEY"; }; 
            name = paramOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
            width = 20; 
        }, 
        {
            columnName = "tcd_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "PARAM_KEY"; }; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (paramOrdre, tcdOrdre, exeOrdre); 
    className = "org.cocktail.kiwi.server.metier.EOParamTypeCredit"; 
    classProperties = (toExercice, toTypeCredit); 
    externalName = "JEFY_MISSION.PARAM_TYPE_CREDIT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toExercice, toTypeCredit); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.EOParamTypeCredit"; 
        "_nameInObjectStore" = "PARAM_DESTINATIONS"; 
    }; 
    name = ParamTypeCredit; 
    primaryKeyAttributes = (paramOrdre); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = toTypeCredit; 
        }
    ); 
}
